# Réunion IN

Ce jeudi 6 mai 2004 s'est déroulée une réunion internounou au Krobot à 21h30.

## Présents

* Benoit Rozel
* Fabien Millioz (Mit Mit)
* Sébastien Li-Tao-The (Sayan)
* Julien Ducarne (juliend)
* Arnaud Sternchüss (Schultzy)
* Yohan Le Diraison (Ryo)
* Manuel Sabban (M@nu)
* Mathieu Ségaud (Regala)
* Frédéric Pauget (Fred)
* Yves-Laurent Allaert (Manathan)
* Vincent Bernat (`Vince||`)
* Philippe Gambette (Freecorp)
* Christophe Calvès (Grand Tof)
* Olivier Deleage (O-live)
* Clément Houtmann (ClemHout)
* Charles Signorini

### Synchronisation

Un nouveau serveur de sauvegarde a été acheté il y a deux semaines. Il dispose
de 1 To de disque dont environ 695 Go en RAID 5 pour les sauvegardes. Une
sauvegarde journalière est effectuée de :

* {{{/etc}}}, {{{/boot}}}, le CVS, les paquets installés ce qui fait
  environ 3,6 Mo par jour
* Le {{{/home}}}, les mails, les news, le wiki, jabber, les ML, le site
  web ; ce qui fait environ 30 Go par jour

On conserve les 3 derniers dimanche ainsi que la semaine en cours. La mise à
jour se fait par rsync. Une fois par jour, la dernière sauvegarde est
sauvegardée au cas pour éviter de perdre toute une semaine en cas de perte des
données sur les serveurs d'origine.

### Situation de Debian

Les serveurs du CRANS sont passés en Debian/Testing qui devait devenir la
prochaine stable assez rapidement. Cela a permis de mettre des 2.6 sur les
serveurs. Debian ne suit pas la GPL mais dispose de son propre manifeste : la
DFSG. Ce manifeste a été précisé récemment par un vote et le kernel, entre
autres, est désormais considéré comme non libre. La Sarge pourrait donc être
retardée d'un an par un tel changement. L'avenir de Debian est du coup assez
mouvementé avec des développeurs qui partent.

Parmi les alternatives possibles, Open BSD pourrait être une solution. Il est
toutefois beaucoup trop tôt pour s'avancer sur ce point.

### LDAP

LDAP est une sorte de base de données permettant de regrouper les informations
sur les utilisateurs donc les adhérents avec de grandes facilités
d'interrogation. Il fonctionne en architecture client/serveur, ce qui évitera
d'avoir à transférer les différents fichiers par scp : chaque machine peut
interroger elle-même la base. Par la suite, il serait aussi possible
d'effectuer les authentifications par LDAP.

Migration :

* réécriture des scripts de câblage pour supporter LDAP (ce qui fera du bien de
  repartir sur une base plus récente)
* réécriture des scripts de génération des fichiers de configuration (DNS,
  DHCP, etc)

La réécriture permettra aussi de documenter proprement ce qui est fait. Le fait
que les informations soient centralisées facilitera grandement la recherche
d'information : à un adhérent sera attaché toutes les informations qui le
concerne dont l'upload, les virus, etc.

M@nu se propose pour l'interface GTK.

### Documentation

Chaque nounou qui fait quelque chose sur les serveurs doivent faire une
documentation de préférence sur le wiki. Une autre tâche serait de documenter
aussi l'existant quand on en a l'occasion. Une partie de la documentation sur
zamok peut également migrer sur le wiki.

### Salle de réunion

Une salle a été demandée pour mettre Pegase mais celui-ci va atterrir au H
quand les nouveaux switchs seront arrivés. Cette salle pourra donc servir de
salle de réunion.

### Budget

Pour éviter d'avoir à demander au CA pour des achats mineurs (feutres, têtes de
câble, tableau blanc, processeur), les nounous désirent avoir un budget fixe et
un chéquier pour eux. Le CA se renseigne sur les solutions possibles. Ce point
sera porté à l'OdJ de la réunion CA de lundi.

'''Moi j'ai du mal à présenter à moi-même les factures...''' -- ClemHout

### Videolan

Schultzy va prendre contact avec les types de Videolan. Il y a deux solutions :

* recevoir le flux de Centrale
* encoder nous mêmes

Les nouveaux switchs facilitent la diffusion sur le campus, notamment grâce au
multicast.

M@nu prendra également contact pour proposer d'héberger un miroir Videolan.

### Sécurisation PHP

Quelles sont les fonctionnalités voulues ?

* exécuter des scripts ne nous appartenant pas
* avoir le droit d'exécuter des commandes arbitraires
* autoriser l'ouverture d'URL
* modification des fichiers par PHP ?

Sayan nous sortira les solutions disponibles.

### Synchronisation CA

Que doivent faire les nounous quand il y a un grand désaccord avec le CA, comme
par exemple une divergence importante de point de vue sur le sort d'un
adhérent ? Les demandes doivent être données clairement au CA de façon à ce
qu'il n'y ait pas d'ambiguïté.

### Divers

* La blacklist sera accessible au câbleur sur le nouveau système
* Un adhérent veut faire un forum sur zamok et demande l'autorisation et
  accepte la surveillance ; toutefois, les nounous n'ont pas le temps
  nécessaire pour ça et donc le forum est interdit.
* Le miroir Gentoo est supprimé et personne ne s'est plaint
* Le sondage sur le positionnement des bornes wifi avance tout doucement : le
  d'Alembert, la bibli et la Med sont bien placés.

La réunion a été levée à 23h40.
