# Réunion Nounous

* Date : Jeudi 28 Juin 2012
* Lieu : 2B
* Début : 19h25
* Fin : 20h47

## Présents

* Nicolas Dandrimont
* Olivier Iffrig
* Pierre-Elliott Bécue
* Raphaël Cauderlier
* Sylvain Boilard

## Avancées

### Serveur FTP

Pierre-Elliott et Pauline ont installé charybde, le serveur FTP a été remis en
route, ainsi que le miroir Debian et le serveur DNS. Daniel a remis en place les
dépôts Git et gitweb. Reste à remettre darcsweb et le miroir opkg.
Pierre-Elliott se charge de darcsweb.

### Carte des bornes Wifi

Daniel a mis en place une nouvelle carte des bornes sur l'intranet2
<https://intranet2.crans.org/wifimap/>

Le but à terme est de pouvoir éditer les bornes directement depuis la carte
(position, ssid disponibles etc.), voire afficher les ssid "pirates" qui
pourraient être diffusés dans les alentours.

### Mises à jour

Quand on fait les mises à jour des serveurs, on lit correctement la liste des
paquets qui vont être impactés, et surtout on teste _tous_ les services après
la mise à jour.

## Projets

### SOGo

Vincent Le Gallic s'occupe de mettre en place SOGo, encadré par Pierre-Elliott.
La partie
authentification, client mail fonctionne, reste à voir pour les contacts et les
agendas.

### Baie de disques

Deux disques ont été commandés pour la baie, ils arriveront... Bientôt.
On va faire des tests dès que les disques seront arrivés. Olivier se chargera
d'encadrer un éventuel apprenti motivé.

### Impression

Daniel a plusieurs suggestions pour améliorer le service d'impression, notamment
une surveillance automatique de la fin des tâches.

Il faut également permettre aux adhérents d'annuler leur tâches non encore
imprimées (avec crédit), ce qui faciliterait aussi la vie des imprimeurs en cas
de bourrage et d'annulation de jobs en masse.

Il y a aussi l'interface écrite par Antoine Durand-Gasselin pour remplacer le
driver foireux que l'on pourrait mettre en place, ou le module CUPS.

Vincent a l'air intéressé, mais il a déjà plein de choses dans sa fifo.

Avis aux autres apprentis...

### Miroir OpenWRT

Il y avait un dépôt opkg sur sila, on va essayer de faire un vrai miroir sur
charybde. Il semblerait qu'il n'y ait pas de serveur rsync public chez
OpenWRT, on va leur envoyer un mail pour demander. Raphaël s'occupe du mail et
victimisera un apprenti pour écrire le script.

### Logs

#### Logs sur komaz

Il s'agit de remplacer syslog-ng par rsyslog qui a été choisi pour les logs
centralisés. Le "problème", c'est qu'il y a des règles spéciales pour écrire
les logs du firewall dans des fichiers séparés, qui sont "tail -F"és par des
scripts (filtrage_firewall.py) qui vont écrire les infos dans la base de
données pgsql de déconnexion.

Il suffit de réécrire la règle qui marche actuellement pour syslog-ng de façon à
ce qu'elle marche pour rsyslog.

Pierre-Elliott s'ennuie ce soir, il regardera ça.

#### Anciens logs

La question est de savoir quoi faire des actuels logs "fichiers". Nicolas pense
que tant qu'il n'y a pas de méthode plus simple qu'un select sur la base pour
accéder aux logs dans pgsql, il vaut mieux les garder. *silent ping*

#### Frontend

Daniel propose d'écrire un nouveau script qui contacterait la base PGSQL pour
faire les SELECT qui vont bien.

Daniel avait aussi fait un prototype dans l'interface d'administration de django

Enfin, Yann est censé regarder les frontends existants.

#### Purge de la base

La table des logs contient environ 60 millions d'entrées, les requêtes
effectuées dessus impliquant des champs indexés, tout se passe merveilleusement
bien, mais si la base doit être lue intégralement, les requêtes deviennent
sensiblement plus lentes.

L'idée est de créer une seconde table qui contiendrait les données sur une durée
d'un an, et la première servirait aux données sur un délai raisonnable. On
placerait sur la table court terme un trigger qui copierait les données type
mail.log, auth.log, radius, les logs des switches, etc. dans la base long terme.
Deux scripts s'exécuteraient tous les jours pour virer les données périmées.

Pierre-Elliott proposera à Kévin Viard.

#### Logs des switchs / bornes Wifi

Il faut aller dire aux switchs d'envoyer leurs logs sur ragnarok. De même pour
les bornes wifi.

## Questions diverses
