# Réunion Nounous

* Date : Jeudi 7 mars 2013
* Lieu : Condorcet
* Début : 19h42
* Fin : 21h42

## Présents

* Ariane Soret
* Daniel Stan
* Olivier Iffrig
* Sylvain Boilard
* Valentin Samir
* Vincent Le Gallic

## Ordre du jour

### Réunion DSI

Valentin et Daniel sont passés voir la DSI la semaine dernière (suite à la
découverte par Sabrina d'une borne wifi).
Les gens du Léonard de Vinci veulent du wifi, elle voulait donc voir si on
pouvait remettre les anciennes bornes, ou même des nouvelles.
On leur a d'ailleurs prêté le lendemain une pico pour leur montrer à quoi elles
ressemblent.

La DSI veut à terme pouvoir jeter les wifi ouvert et ne laisser que eduroam.
Puis utiliser un outils comme !PacketFence pour effectuer de la délégation vers
les labo/dpt pour les autorisations d'accès.

Nous avons été invités à la réunion des DSI des divers département du lendemain.
Parmi les points évoqués, le fait de scanner le home des adhérents à la
recherche de virus semble une bonne idée.

### Documentation

Il ''FAUT'' mettre à jour les lien vers les pages wiki déplacées. Une idée des
pages concernées peut s'obtenir à l'aide du listing des pages
orphelines : <https://wiki.crans.org/OrphanedPages>
Le plus simple étant d'effectuer une recherche sur le nom de l'ancienne page et
de modifier les résultats trouvés.

Une restructuration du Wiki a été entamée par Pauline, il reste aussi à
documenter de nombreux services.
Avis aux nounous (et apprentis) ayant installé un de ces services non
documentés.

Côté doc Sphinx : il faut l'utiliser, documenter ce qui ne l'est pas. (make
coverage, make html).
par exemple, la liste des objets non documenté
dans {{{lc_ldap}}} : <http://doc.crans.org/lc_ldap/coverage.html>

### Instabilité de la connexion

Des problèmes de connexions de faible durée ont eu lieu la semaine dernière.
Rien à signaler sur le réseau du Cr@ns,
cela vient vraisemblablement du lien Renater, cf
<http://pasillo.renater.fr/TICKETS/historique-tickets.incidents.html>

### Résidence Jacques Restignat

Ariane a rappelé le gérant de la résidence aujourd'hui. Il n'a pas encore
acheté de borne WiFi (il pensait le faire lui-même).
Un devis a été demandé chez Orange.

La question de la connexion à Internet elle-même n'a pas été rediscutée mais
doit être étudiée.

### CAS

Il reste à synchroniser les comptes Wiki et LDAP (la gestion sur l'intranet est
OK) pour pouvoir mettre le CAS sur le Wiki.
Les webmail SOGo et Horde restent aussi à faire (la DSI nous a conseillé pour
SOGo).

### Logs Ldap / generate

Il devient de plus en plus urgent de journaliser les modifications effectuées
via le nouveau binding lc_ldap.
On pensait utiliser olcAccess avec un attribut last_modifier sur chaque objet
pour savoir qui a fait la modification. Ainsi, on
peut utiliser une connexion cn=admin tout en maintenant une trace des auteurs
des modifications.

Il serait alors possible de lire la base de log pour generate (en se souvenant
de l'endroit où on s'était arrêté).

Il faudrait également revoir le système de lock qui actuellement entre en
conflit avec un certain nombre d'exécution
automatique de scripts. En effet, le système actuel semble être ennuyant pour
les utilisateurs, et peu efficace pour la
sûreté des scripts (un objet locké provoque un arrêt complet du script, pour
exception non rattrapée même dans un cron).
On pourrait utiliser un système plus souple de vérification, au moment de la
modification, si une modification a eu lieu depuis la lecture de
l'objet.

### Migration vers git

Les dépôts bcfg2 et usr-scripts sont passés sur git. Les hooks de notification
irc et mails sont fonctionnels.
Il faut migrer les dépôts usr-scripts des serveurs n'ayant pas de NFS (ovh et
les dom0).
Il reste également à passer les dépôts des /etc/ des serveurs sous git. Ceci
permettrait de gérer les permissions sur les fichiers.

La question est de savoir si ces dépôts sont considérés privés ou si on évite
de mettre des mots de passes sensibles dedans.
On peut aussi, quitte à éviter les mots de passes en clair, abandonner le
versionnement des /etc/ et utiliser uniquement
la génération des configurations via bcfg2.

### Solution de partage de fichiers

Le BDE et les associations partenaires ont demandé un espace de travail pour le
groupe de travail sur la convention de vie étudiante.
Il n'ont pas de cahier des charges précis, on peut leur proposer :

* Un wiki sur une page perso club (Aurore MM. est en train de voir ce qu'elle
  peut tirer de !DokuWiki)
* Etherpad
* [SparkleShare](http://sparkleshare.org/)

### SPAM

On se fait plus spammer qu'avant.
Il a été émis l'idée que le greylisting pourrait chier dans la colle. À voir.
