# Réunion du Collège Technique

* Date :Jeudi 9 janvier 2014
* Lieu : Pavillon des Jardins
* Début : 19h25
* Fin : 20h55

## Présents

* Daniel Stan
* Valentin Samir
* Jordan Delorme
* Pierre-Elliott Bécue
* Ariane Soret
* Lucas Serrano

## Ordre du jour

### CACert

Le domaine crans.org à été migré du compte de Stéphane Glondu vers le compte du
crans. Les certificats ont donc été révoqués puis recréés.
Tous les administrateurs déclarés à CACert peuvent émettre des certificats pour
les domaines enregistrés au crans.

### Authentification par certificat

Il serait intéressant de permettre aux gens de se connecter à certains services
avec une authentification par certificat.
Par exemple pour le wifi, vu que l'on utilise déjà les mots de passe wifi comme
un certificat.
Ça serait cool d'avoir aussi de l'auth par certificat en imap. Dovecot ne
permet pas nativement d'ajouter de l'authentification par certificat
parallèlement à une authentification par mot de passe (uniquement comme
authentification supplémentaire). Ça serait possible de le faire en utilisant
la méthode d'authentification via script custom, ça n'est pas très propre. Une
solution plus propre serait de mettre un second serveur imap qui ne ferait que
de l'authentification par certificat.

Postfix gère bien l'auth par certificat, donc si on décide de mettre ça en
place ça ne devrait pas poser de problème.

Idéalement, il y aurait une interface sur l'intranet permettant de générer des
certificats pour divers choses.
L'idée serait donc d'avoir une bdd centralisant les certificats et leurs usages
possibles.

### Dns menteur ?

Valentin a mis une zone de response-policy (db.loppsi.crans.org) pour mentir
plus proprement sur le dns. Pour le moment, c'est utilisé pour renvoyer vers
les miroirs locaux depuis les vlans accueil et événement.
Ça serait plus propre d'utiliser cette zone à la place de db.fake (qui est une
fausse zone racine) pour le vlan accueil.

### IPv6

ne pas laisser passer le /32 de google semble bien le soulager
Le /32 de Google a été puni en IPv6 pour des raisons techniques (limitation de
bande passante alors que l'IPv6 est utilisé préférentiellement).
Lucas affirme que la diminution de trafic n'est pas lié uniquement aux serveurs
google, mais est un effet secondaire dû au fait que les gens n'ont plus d'accès
à un moteur de recherche et arrêtent donc de s'en servir.

Il est cependant peu probable que Microsoft se tire une balle dans le pied en
bloquant l'ipv4 quand il y a une v6 active, vu que tous ses sites sont en
v4 (dont bing…). Des tests seront menés sur vo ce soir, et on essaiera
d'adopter une attitude pertinente.

### Radio

Valentin a mis des jolies n'images sur <https://intranet2.crans.org/tv/>, et
un serveur icecast sur Cochon pour relayer la radio.

Valentin voudrait ouvrir le port icecast de cochon pour diffuser la radio vers
l'extérieur (ça prend pas énormément de bande passante), dans l'ensemble,
l'idée semble intéressante, il faut juste s'assurer que c'est licite.

### Impression

Certaines personnes semblent parvenir à imprimer N copies d'un document en n'en
payant qu'une seule. Comme ils ne le souhaitent pas vraiment et nous non plus,
on cherche une solution.
Ce problème serait dû au fait que l'intranet thread et donc ne gère pas
correctement les accès concurrents.

On pense mettre une barrière au bon endroit pour s'assurer que rien ne plante.
L'alternative est de finir l'appli impression sur l'intranet2.

### Remplacement disque Fy

C'est fait. Le disque pété est (probablement) parti vers HP. Le disque pas pété
est en place, et fonctionne.

### Virtualiseur

Un devis à été demandé, il devrait bientôt être disponible.

### Questions diverses

#### Nous ? (C'est le goût ?)

Le collège technique accueille trois nouvelles nounous : Raphaël-David, Ariane
et Jordan.

On précise au passage que la quantité de travail à fournir est laissée à
l'appréciation des sus-nommés.
Le fait d'être nounou n'engage pas les personnes à s'investir, mais leur donne
plus d'opportunités quant à leur engagement.

On essaiera de prendre un peu de temps d'ici la semaine prochaine pour
présenter certaines des « obligations » des nounous (techniques).
