# Réunion du Collège Technique

* Date : Jeudi 28 septembre 2017
* Lieu : Pavillon des Jardins
* Début : 19h00
* Fin : 21h00
* <<Pad>>

## Présents

* Gabriel Détraz
* Charlie Jacomme
* Clément Turck
* Maxime Bombar
* Nathanël Gross--Humbert
* Zéphyr Salvy
* Thomas Bauvent
* Nicolas Gasnier
* Gabriel Le Bouder
* Hamza Dely
* Raymon Zhang

## Ordre du jour

### Présentation générale

Charlie fait une présentation du collège technique et de son utilité. Il
rappelle qu'il ne faut pas avoir peur des discussions techniques et de poser
des questions.

### Freeradius 3.0

Hamza a remis intégralement à neuf le système freeradius et nous l'a présenté.

Première nouveauté, implémentation de la reconnexion dynamique. Ça marche pour
les bornes, et pour 1/3 des switchs.
Deuxième nouveauté, les vlans dynamiques qui permettent de rediriger quelqu'un
là où elle est censé être.
Troisième nouveauté, en cas de base en RO, freeradius ne meurt pas, et on ne
perd pas tout le réseau.

On lance les tests sur le bâtiment I.

### New switches

Avoir quelques switchs neuf de rab, pour remplacer en cas de besoin.

On a un stack de vieux switchs au 2B, ça pourrait être pertinent d'avoir des
switchs plus récents qui supportent des protocoles plus récents.
Sur le parc :

* 16 2650
* 5 2626

On remplace les 5 2626 par les 2910, et on aura 3 nouveaux switchs (si le CA
est gentil) de roulement.

### 802.1ad

La techno nous permettrait de propager tous nos vlans côté ENS en les fourrant
dans un seul. Magie ?

On verra plus tard. Hamza envoie un mail.

### Mail et blacklist

Comment éviter de se faire blacklister par des hébergeurs de mail ? Remise en
mode slow ?

On pourrait essayer de configurer une limite par heure et par journée sur
policyd.
Est-ce qu'il est possible de désactiver le compte SMTP d'un mec qui spam, de
manière temporaire.

Rappel de la campagne de changement de mot de passe. => Zéphyr, Gabriel et
Thomas sont motivés pour s'en charger, encadrés par Bernie et Charlie.

### Garanties

Fz et Thot sortent de garantie en décembre. Renouvellement ?

* Thot, y a pas de question, oui on renouvelle
* Pour fz, vu son âge on hésite, une option serait de le laisser continuer
  tranquillement son rôle de fallback dans le cluster, et de le remplacer le
  jour où il meurt. Hamza dit que si on laisse ça comme ça, quand fz mourra, on
  aura la flemme de racheter un serveur.

Donc, si on a la flemme, Hamza pourra dire "je vous l'avais bien dit". En
attendant, on renouvelle pas.

### Ménages

Trop de ML qui servent à rien. Destruction !

<https://zero.crans.org/?1ca91a8ddda337fd#OgA0bP/VB++Tuq8641WC9a4J8s7pyBOap+jTKOXFS2c>

Zéroième étape, on augmente la taille de redisdead.

Première étape, on contact les modérateurs de MLs trop vieilles pour savoir si
ils sont en vie.

### Volume de backups

Zéphir est à 80% d'usage de disque, avec une croissance de 25% sur 1 an. On ne
tiendra donc plus un an avec /a priori/.
Deux possibilités, on augmente l'espace de stockage, ou alors on réduit la
durée sur laquelle on backup.
Any thoughts ?

On réduit violemment le nombre de back up, genre par 2, mais en gardant un
back-up de 6 mois.

À voir si backuppc propose pas un autre algo de compression.

Charlie regarde.

### Futur du Crans

#### Fibre

On veut prendre une fibre indépendante de RENATER, pour se préparer à quand ils
seront plus là. Plusieurs demandes de devis ont été faites, on s'interroge sur
les questions de la qualité de la connexion.
Qu'est ce que c'est ti qu'on veux:

* GTR 24/24 7/7
* 1gb/sec
* port 10gb

Il faut éplucher les contrats. Comment se renseigner sur leur service de
qualité ? -> FedeRez ?

#### Infra

Le Crans doit simplifier son infra pour se pérenniser et doit devenir
indépendant d'un point de vue fibre. Cela implique des grosses décisions
technique, et de ne pas faire n'importe quoi.
La fibre, c'est facile. Le reste de l'infra, on sait pas quoi faire, ou plutôt
ou n'est pas tous d'accord. Il y a des conditions inamovibles, on ne mettra PAS
un truc bancales en prod, si on pousse quelque chose, ce sera un beau produit
finit. Pour le reste, on verra.

### Responsabilités

Rappel sur le bon usage des droits Crans.
Chirac avait renommé une machine d'adhérent pour pouvoir en donner le nom à un
serveur Crans. Il reconnait que c'était une bêtise. Si l'acte est moralement
répréhensible, cela reste en pratique sans conséquence, il y a donc simplement
un avertissement qui est émis.

On en profite pour rappeler les petites erreurs de ce genre que l'on peut
faire, sans toujours s'en rendre compte.

* whokfet
* whos
* IRCop
* Upload depuis vo.
* ménage câbleur sauvage
* Blacklist de quelqu'un qu'on aime pas
* ...

Bref, un grand pouvoir implique de grandes responsabilités.
