# Réunion IN

* Date : Dimanche 19 Janvier 2025
* Lieu : MB87 et Galène (<https://galene.crans.org/group/IN>)
* Début : 17h30
* Fin : 18h45

## présent⋅es

* antonin
* bleizi
* Chiaroush
* ds-ac
* Gabo
* korenst1
* Lzebulon
* Lyes
* Pigeon Moelleux
* viadezo1er (Président de Federez, ancien de ViaRézo)

## Ordre du jour

* podman fail, que fait-on ? suppression ?
* centralisation de la configuration du dns (dans le LDAP)
* ferle (VM a disposition du RIPE) est éteinte et grub panic quand elle demarre
* borgmatic plante régulièrment à cause de ProtectSystem=full
* spamassassin : semble configurer pour chaque utilisateur⋅ices -> pourrait-on
  proposer une configuration par défaut ?
* Déploiement nouvelle infrastructure Matrix
* vulnérabilité rsync sur mirror ?
* le kanban mentionné à la dernière IN est en place
* quels sont les conditions pour une alternative à moinmoin...
* sops -> agenix
* Serveur de build Nix

### Podman

Déjà désinstallé

### Centralisation du DNS

Le DNS est configuré dans le LDAP adh et adm (les deux à la fois). Dans le LDAP
adm, les alias des VMs définis à plusieurs endroits (notamment hodaur).

On range mieux + [faire de la documentation](https://gitlab.crans.org/nounous/documentation/-/issues/13)

### ferle

VM à disposition du RIPE. Elle grub-panic lorsqu'elle démarre. Il faudrait les
contacter par mail / voir dans leur documentation si on peut réinstaller la VM.

Pigeon Moelleux est délégué pour s'en charger.

### Borgmatic

Crash de borgmatic à cause de l'option systemd ProtectSystem=full.
Modifier le fichier directement poserais des problèmes lors des mises à jour de
borgmatic. Il est possible de créer un nouveau fichier systemd dans /etc pour
overwrite la configuration.

### Spamassassin

Configuration par utilisateurice -> on valide et on met un message indiquant de
la documentation.

### Vulnérabilité rsync sur tealc

On est pas impacté car on a une version antérieure à celle mise en cause.
Il faudrait mettre tout à jour, mais ça demanderait de tout redémarrer.

### Matrix

Ça avance (déploiement très prochainement).

### Kanban

Meilleure visibilité de ce qu'il y a à faire au Crans
(<https://gitlab.crans.org/nounous/kanban/>)

### Wiki

Moinmoin -> python 2 donc on aimerait migrer
Quels sont les critères à remplir pour une potentielle migration sur un autre
service ?

### Gestion des secrets sur NixOS

Age -> SSH / Sops -> GPG
Age -> plus simple à configurer
On passe sur age -> on mettra les clefs SSH des gens qui veulent.

### Serveur de build nix

On va checker Hydra (<https://wiki.nixos.org/wiki/Hydra>).
On fera une VM un peu boostée.

### Zero bin

Zero a été mis à jour par ds-ac.
Enfin assez mal : le template est à revoir.

### belenios

Déjà packagé en nix par Lzebulon
Lyes s'est porté volontaire pour faire le service systemd.
