# Réunion Nounous

* Date : Jeudi 26 juin 2008
* Début : 20h01
* Fin : 22h18
* Lieu : 2@B

## Présents

### Physiquement

* Augustin Parret-Fréaud
* Charles Vallantin-Dulac
* Jean-Benoist Leger
* Nicolas Dandrimont
* Xavier Lagorce

### À distance (gobby)

* Antoine Durand-Gasselin
* Michel Blockelet
* Vincent Thomas

## Ordre du jour

### Redistribution des services de Rouge

Rouge est actuellement en train de crouler sous les connexions persistantes de
certains clients mail, notamment concernant dovecot, il a donc été décidé de
rééquilibrer les services sur différents serveurs sous-utilisés (p.e. sila) pour
tenter de le décharger et par conséquent d'améliorer la qualité de service du
Cr@ns.

#### Services redistribuables

* Bases de données de filtrage (-> Komaz). Augustin s'en occupera après
  le 18 juillet.
* Jabber (-> le domU hébergeant le serveur irc avec éventuellement un serveur
  irc « de secours » sur mdr en cas de panne). Michel s'en occupe.
* DNS principal sur sila ? On garderait rouge en secondaire... Nicolas s'en
  occupe.

#### Services à migrer si ça pose toujours problème

* La DB de greylisting... Changer de solution ? Changer de backend (MySQL ?) ?
* Mettre le SMTP principal sur un autre serveur... ?
* Mailman ?

Au final, il a été décidé de migrer DNS, base de filtrage et Jabber sur des
autres serveurs, et de regarder l'état de la charge de rouge après migration.
Si nécessaire, la migration d'autres services sera alors envisagée dans un
second temps.

### WiFi en WPA2

Ce point n'a pas été abordé à cause de l'absence de Mathieu Segaud.

### Mise en place d'un VLAN de services gratuits par défaut

Suite aux nouveaux statuts, nous allons mettre en place un service de connexion
gratuit.

Pour rappel, ce service de connexion permettra seulement l'accès au Web et aux
ENT. Signature d'une charte après câblage à la Kfet (et inscription des
machines)...
Nous sommes en effet tenus de faire signer une charte selon notre convention
avec la DSI. Il a été décidé de placer ces connexions derrière un NAT. Nous
devons alors garder, de la même manière que pour le VLAN par défaut, une
correspondance entre l'IP locale et le nom de la personne (pour
responsabilisation). Il est donc choisi de placer ces machines sous une IP
locale fixe.

Des modifications au schéma de la base LDAP sont à prévoir.

On ne permet pas de préinscription, cela pose en effet certains problèmes
juridiques (connexions entre adhérents non contrôlées et non soumises à
acceptation d'une charte).

Mise en place de ce système :

* Modification du script crans. J.Benoist s'en occupe.
* Modification/adaptation de gen_confs des switchs pour placer les gens dans ce
  vlan. Idem.
* Mise en place d'un DHCP. Trivial car identique au DHCP actuel, ça sera fait
  en même temps que la modif du script Crans.
* Mise en place du NAT. Trivial aussi, Nicolas s'en occupe.

Il est décidé de ne fournir l'accès au web uniquement (ENT compris) (i.e. pas
au réseau des adhérents payant) via les ports 80 et 443.

Ce service se limite à ceci, et nous reconsidérerons le panel des services dans
l'éventualité d'un accord avec le CROUS.

### Raccordement des appartements de l'ENS

Une réunion a eu lieu avec Stuart !McLellan et Roland Abidos afin de mettre en
place le raccordement des appartements de fonction de l'ENS. A priori, on
passerait sur un VLAN dédié au niveau de l'ENS.
Si une charte est signée, ils pourraient passer par RUBIS selon Stuart. A
l'exception
du Pavillon des Jardins et de la porterie, tous les bâtiments sont câblés et
arrivent
dans un local de brassage, avec des prises libres sur des
switches !ProCurve (un Switch
à rajouter probablement au Cournot). Il faudrait arranger un accès aux logs des
switches concernés, ou _au mieux_ physique (passablement impossible).
Problème de la TV par le réseau : le trafic des appartements passera via
Multiprise_Wifi,
un D-Link... Il faudrait voir à le (faire) changer par un procurve.
L'accès ne sera ouvert qu'après la signature de la convention.

### Mise en place du VLAN déconnectés

La mise en place du VLAN déconnecté est retardée à cause de l’impossibilité des
commutateurs à effectuer une mise sur VLan par serveur Radius, feature promise
par HP il y a environ deux ans.

Une autre possibilité est de faire la mise en place par script, ce qui pose tout
de même un problème pour les switchs non manageables du Pavillon des Jardins,
ainsi
que pour les trucs un peu sales faits pour régler certains problèmes de prises
défectueuses...
Il y aurait donc certains gens non déconnectables automatiquement, problème
analogue
aux désactivations de prise... Il y a aussi quelques erreurs dans la
correspondance
chambre <-> prise.

Actuellement les déconnectés ont uniquement une page sur squid, et ont toujours
accès au réseau local. La mise en place de ce VLAN est donc nécessaire pour
l'efficacité des sanctions... (la sanction bloq est trop brutale).

PdJ : on remplace les switches actuels (25 ports + Dlink "multiprise") par les
switches 50 ports dormant au 2@B et 0@C. Nous referons un point pour la
reconnexion
éventuelle du bâtiment G (il en manquera certainement).

Michel se demande si l'on avait inclus le PDJ dans les services gratuits.
Il regarde. C'est en effet très flou.

### Logs en tout genre de l'imprimante

Un script a été écrit pour récupérer les logs de l'imprimante (et ainsi avoir
plus
de pistes pour comprendre pourquoi elle bourre) rien de plus à dire là-dessus
pour
le moment, puisque l'imprimante n'a pas bourré depuis le lancement du script
(Heisenbug).
Il est aussi réalisé des logs de toutes les estimations en vue de réestimer
les coûts de l'impression, qui sont passablement surévalués selon l'audit
effectué
récemment.

Il est confirmé par J.Benoist que l'intervention effectuée récemment n'a pas
de rapport avec les bourrages, et que la garantie de 3 mois ne peut donc pas
s'appliquer.

### Questions diverses

#### Présence de Nounous sur le campus pendant l'été

Il est rappelé la présence de la page CransVacances... Qui doit être remplie,
ça ne coûte rien et ça évitera des coups de fil pour rien.

Des mails de rappel seront envoyés aux nounous qui *doivent* s'inscrire. Il sera
également proposé aux apprentis, câbleurs et imprimeurs de s'inscrire afin de
mieux
évaluer la présence des gens sur le campus pendant l'été.

#### Trafic « geek » sur la ML Bureau

Il y a sur la mailing-list bureau du passage de mails de surveillance qui
devraient
plutôt aller sur une mailing list telle que disconnect, dans laquelle il
faudrait
d'ailleurs faire le ménage. J.Benoist s'en occupe.

#### État du 2@B

Le prochain qui met le 2@B en capharnaüm se fait crever les yeux par J.Benoist
et couper les mains par Nicolas.

#### Perte ? de messages sur les news

Les vieux messages ont été purement et simplement perdus... Comment se fait-ce ?
C'est assez bizarre, à priori le expire.ctl, fichier de conf du serveur nntp, a
l'air correct :

---✂--- <<BR>>

crans.*:A:never:never:never <<BR>>
tac.*:A:90:150:180 <<BR>>
crans.cvs-checkins:A:30:45:60 <<BR>>

---✂---

En effet, les fora tac.* sont purgés au bout de 180 jours... Mais qu'en est-il
de crans.* ? De plus amples investigations sont à faire.
