# Réunion Nounous

* Date : Lundi 6 avril 2009
* Lieu : Pavillon des Jardins
* Début : 19h30
* Fin : 21h57

## Présents

* Antoine Durand-Gasselin
* Benoît Barbot
* Jérémie Dimino
* Olivier Huber
* Stéphane Glondu
* Stéphane Murday
* Xavier Lagorce

## Ordre du jour

### Migration sous Lenny

Il reste sable, zamok, rouge et vert.

Sable : adg s'occupe de squid.
Adg veut tester squid 3 sur egon (pour la mise en cache des vidéos).

On migre dans un premier temps vert sous Lenny, puis les homes vers slon, et
enfin zamok vers Lenny.

### Rouge

On ne migrera pas rouge en tant que tel, on va séparer les différents services.
Olivier a configuré rouge (avec un sysctl) pour qu'il reboote en cas de kernel
panic.
Il faut que quelqu'un migre les services mails sur un domU et les webmails sur
owl.

### Toilettage de la configuration des switchs et mise à jour des firmwares

#### Vlan pour les switchs afin d'éviter de répandre le Vlan adm

Olivier va s'occuper de mettre en place un Vlan switchs afin d'éviter que le
vlan adm
soit partout. A terme, il ne se trouvera que sur les chemins entre le 2B, la
ferme,
le 0H et le 0B.

#### "Tagguage" des Vlan plus facile

SIGKOOL. Le principe est de rentrer la topologie du réseau dans le script de
génération
des switchs pour pouvoir tagguer entièrement les vlans jusqu'à une prise grâce
à une
seule commande.

#### Vlan isolement

Il faut juste mettre à jour la configuration des switchs et le tagguer sur tous
les uplinks.

### Parler de l'architecture réseau

#### Intégration du nouveau point d'accès

On mettrait un serveur au G.

#### Bâtiment G

On a un local de brassage au 2e et 4e étage. Le CROUS pense mettre des gens
début mai.

Et un local principal au sous-sol qui distribuerait la fibre vers les autres
locaux
par des liens !GigaBits.

On prendra des 2650.

#### Redondance

Il faudrait tirer une fibre entre le G et le J, il faut se renseigner pour en
tirer une
entre le H et C et il faut réparer la fibre défectueuse entre le I et le H.

### PostGreSQL

L'idée de départ était que ovh.crans.org continue à faire du greylisting
lorsque le 0B
est down. Une solution est que chaque serveur de mail ait sa propre base PgSQL,
ces
bases étant synchronisées entre elles.

[Bucardo](http://bucardo.org/) est un système de réplication
multi-master (i.e. qui
synchronise dans les deux sens entre plusieurs serveurs, contrairement à la
plupart
des softs qui ne synchronisent souvent que 1 master -> n slaves). Il gère très
bien les
conflits (de toute façon, ce n'est pas quelque chose de critique pour
l'utilisation que
l'on veut en faire).

Le problème est que Bucardo nécessite PgSQL ≥ 8.1, et que la base de rouge est
en 7.4.
Michel semble avoir trouver un moyen de dumper les bases et de migrer
de 7.4 à 8.3.
Il va créer un DomU PgSQL et y migrer toutes les bases (mail, filtrage, ...)

### Asterisk

La VoIP SIP fonctionne en interne. Une ligne SIP chez OVH a été souscrite.
L'interfaçage est en cours.

Les adhérents seront contactés depuis l'extérieur par un numéro débouchant sur
un
standard. Un adhérent sera alors identifié par son aid.

En interne, il pourra être joint par son adresse mail canonique au Cr@ns ou par
son aid. (On peut considérer le blocage sur demande du contact par adresse
mail).

On peut mettre en place un système de conférence ainsi que des messageries
vocales.

Il peut-être envisagé une période de test en charge pour les appels vers
l'extérieur
et l'intérieur. On pourrait alors ouvrir gratuitement les lignes téléphoniques
pour
tout le monde. Le CA doit décider s'il veut investir une somme pour cela.

Xavier se charge de regarder pour des téléphones physiques.

### Système de reboot des bornes wifi

Le PCB est terminé et sera commandé cette semaine, les composants ont déjà été
commandés.

Les modules de test devraient être arrivés dans environ deux semaines.

### Connexion des personnels de l'ENS

Adg a commencé à écrire de la documentation technique sur le wiki. On leur
donnera des
informations sur l'intranet + accès à l'intranet de zamok.

Il faut aussi faire de la correspondance MAC-IP sur titanic et le firewall en
général
(stats sur le trafic, ...).

### Repo Darcs "béni" au crans

On se fixe comme discipline de ne pas laisser des choses non commitées dans les
repos.
Adg doit réparer *proprement* le repo scripts.

### Divers

#### Imprimante

Il faut trouver une méthode pour la débourrer en douceur. Par exemple, il faut
installer
une porte pour pouvoir sortir le bloc de finition.

#### Connexion en Gigabit à l'ENS

Il faut acheter une carte 10 GB fibre pour komaz. Il faut voir avec la DSI pour
qu'ils
nous branchent directement en fibre. Il faut garder le lien avec le transceiver.

#### Système de Ticketting/destruction d'O₂

Celui qui crée un truc qui plaît sur O₂ a gagné.

#### Partition nfs de softs & libs

On oublie.

#### Protéger le nfs à l'aide d'un VPN

Adg étudie la faisabilité.

#### Dépôts git du cr@ns

À voir plus tard.
