# Réunion Nounous

* Date : Jeudi 17 novembre 2011
* Lieu : Pavillon des Jardins
* Début : 19h08
* Fin : 20h50

## Présents

* Anne Cazalet
* Aurore Moisy-Mabille
* Benjamin Aupetit
* Daniel Stan
* Nicolas Dandrimont
* Olivier Iffrig
* Pierre-Elliott Bécue
* Raphaël Cauderlier
* Steven Masfaraud
* Sylvain Boilard
* Valentin Samir
* Vanessa Verbeke
* Xavier Lagorce
* Yann Duplouy

## Ordre du jour

### Synaps System

Anne Cazalet est présente pour rencontrer la nouvelle équipe (RTC, bureau).
On en profite pour discuter des prochains investissements de l'association en
termes de matériel (remplacement de la caméra du 0B, renouvellement des
garanties,
renouvellement du backbone, ...)

### Câblage des chambres

#### Prises défectueuses

Plusieurs chambres du campus (environ 3) ont des problèmes matériels de câblage
(prises arrachées, ...). En dehors de la question de ce que le Cr@ns doit faire
à ce propos, il reste que des adhérents n'ont pas de connexion (et le Crous ne
le fera pas), et il s'agit de petits travaux. Il est plus agréable de le faire à
2 personnes, et c'est réalisable par des apprentis/câbleurs/...

#### Câblage vers le CROUS

Daniel a été contacté directement par MyStream Mardi pour des soucis de câblage
des clients MyStream, qui n'étaient pas branchés sur les bons switchs : il ne
faudrait pas les câbler sur les switchs marqués "Master". Ceci n'étant écrit
nulle part, Daniel a demandé un plan de brassage pour chaque bâtiment. Il a
aussi demandé s'il était possible d'éteindre les switchs non utilisés (problème
de ventilation au M par exemple). Une réponse était annoncée pour Mercredi, il
n'y a toujours rien.

### WiFi

C'est l'occasion de faire un point.
Olivier indique que tout semble marcher a priori, mais qu'une batterie de tests
est à faire pour s'en assurer. Il faut aussi les configurer totalement pour les
adapter au réseau Cr@ns.

Daniel a réussi a flasher des anciennes bornes marquées comme HS, elles
marchaient. Puis elles ne marchaient plus. Il recherche.

### Séminaires

Nicolas se demande comment améliorer/remplacer de façon bénéfique les
séminaires. Il soulève le problème de l'attention du public en séminaire.
Question ouverte.

### Apprentis

Il est proposé la mise en place d'une liste des compétences nécessaires au bon
exercice de la fonction de nounou (administration système, réseau, ...).

Cette liste sera mise en place collégialement et classée par ordre de pertinence
par la suite.

### Proxy

Après une rapide étude, Squid semble n'être pas très utile.

* logging: ca marche, mais on peut le faire ailleurs
* mise en cache: ce serait bien, mais c'est pas extraordinaire
* deconnexion soft: il suffit de mettre une regle dans le firewall pour
  rediriger les adherents vers une page de l'intranet
* ca complique la QoS: c'est pour ça qu'il faut le brûler

Daniel demande des nombres pour finir de juger de l'utilité de Squid.
Nicolas fait remarquer qu'empiriquement, ça marche mieux quand Squid est down.

Valentin s'en occupe.

### Firewall Ipv6

ip6tables-restore v1.4.8: Couldn't load
target `BLACKLIST_SRC':/lib/xtables/libip6t_BLACKLIST_SRC.so: cannot open
shared object file: No such file or directory

On ne sait pas qui brûler. Le script qui génère le firewall va être remis à son
état précédent grâce à darcs par Daniel.

### Réunion avec la DSI

Hier a eu lieu une réunion avec Stuart, Daniel, Valentin, Olivier, Sabrina,
Vincent M. Stuart a présenté les prochains projets de l'école (renouvellement de
matériel, ..., virer IRTS à long terme).

Stuart va demander un devis à Orange pour laisser au personnel le choix entre le
Cr@ns et Orange, car la qualité n'est pas suffisante à son goût.

Stuart a contourné le sujet du Gigabit.

Il a été question du traffic shaping. Il faut tester ça sur le réseau du Cr@ns
pour démontrer à la DSI que l'on peut le faire nous même et qu'IRTS est donc
inutile.

On est censé pouvoir acceder à l'interface de demande de travaux. C'est à
tester.

### Questions diverses

#### Vlan accueil

Daniel propose que l'intranet soit accessible depuis le vlan accueil, pour que
l'adherent puisse ajouter lui même sa nouvelle machine.

#### Switchs

Les switchs ne sont pas à l'heure, c'est donc que le serveur NTP est mal
indiqué.
Il faut réparer ça.

Il existe une pile de switchs garantis à vie qui sont HS, à côté de vo. Il faut
les mettre à jour et contacter HP pour les faire remplacer. Pour cela, il faut
prévoir une journée.

Benjamin s'en occupe.

#### Install-Party

Le boot PXE est à jour.

L'IP est après-demain, venez !

#### Mise à jour des bornes

Daniel a testé l'image compilée par Nicolas avec backfire et le driver libre,
pour les linksys : ca à l'air de bien marcher. Comme les nouvelles bornes, il
faut finir de les configurer et les tester.

C'est l'occasion de déployer un système pour que les bornes récupèrent leur
configuration toutes seules, rebootent régulièrement et se mettent à l'heure.

Daniel propose aussi que les bornes arrêtent de diffuser le SSID Cr@ns quand
elles n'ont pas de réseau et qu'elles diffusent à la place un SSID de debug
pour qu'on puisse encore s'y connecter.

#### Imprimante

Michel a tenté de les contacter Mercredi pour qu'un technicien passe, mais il
n'a eu aucun interlocuteur.

On peut leur demander de changer l'imprimante car cela fait 2 ans et demi qu'on
l'a. Il faut voir si c'est utile.

Le rouleau des feuilles A3 pose problème, il faudrait demander à ce qu'il soit
changé.
