# Réunion Nounous

* Date : Jeudi 29 Novembre
* Lieu : Condorcet
* Début : 19h22
* Fin : 21h26

## Présents

* Daniel Stan
* Florian Tilquin
* Nicolas Dandrimont
* Olivier Iffrig
* Pauline Pommeret
* Raphaël Cauderlier
* Sylvain Boilard
* Valentin Samir
* Vincent Le-Gallic

## Ordre du jour

### Quotas

Les quotas sont maintenant fonctionnels à travers NFS. Si la limite "soft" est
dépassée, un mail est envoyé (par jour). Si la limite hard du quota
est dépassée, l'appel système write retourne une erreur. On mettrait 2Go en
limite soft et 2Go + e (e~=200Mo) de limite hard. Pierre-Elliott
suggère d'activer les quotas sur zamok pour les adhérents.

Les quotas traversent le NFS, il faudrait mettre en application lesdits
quotas sur tous les comptes, puis éventuellement lever ceux des membres actifs,
quitte à définir des conditions.
Il faut également tester si gest_crans les applique bien quelle que soit la
méthode de création de compte crans.

### Wifi

On a commencé au A, il faut continuer, le CROUS étant d'accord pour la pose.
État du flashage : au moins la moitié des Pico Stations et des Nano Stations
du M ont été flashées.
Des Pico Stations ont été posées aux 2, 4 et 6ème étages du bâtiment A.
Valentin a commandé un tire-câble pour commencer à câbler au M.
Il reste du travail, on va faire ça au fur et à mesure, quand on aura des
apprentis motivés. On propose un framadate :
<http://framadate.org/rmcll82zw6p3fw75>

### Réunion DSI

Gaetan, Raphaël, Morgane et Olivier ont rencontré la DSI (Stuart Mc``Lellan et
Jocelyn Viallon) le 19 novembre.

#### Débit

L'ENS a un argrément gigabit avec Renater. Dans un premier temps, l'ENS nous
autorise l'utilisation de 500Mbit/s entre 19h et 6h30. Komaz a l'air de souffrir
par moments. En revanche, (cf graphes munin) on ne sature pas (après quelques
minutes de load élevé). On va demander si on peut être débridés le week-end.

#### Câblage du PdJ

On peut avoir accès au sous-sol du PdJ, il faut décider du switch et de la date.

Daniel propose un
HP 1910-8G (JG348A) <http://h10010.www1.hp.com/wwpc/fr/fr/sm/WF06b/12883-12883-4172267-4172281-4172281-4218346-5257664.html?dnr=1>

Il a l'air d'avoir toutes les fonctionnalités nécessaires (IGMP + MLD snooping,
vlans). Le seul inconvénient est le management http(s)-only.

On proposera le devis au C.A..

#### Eduroam au PdJ

Le C.A. a accepté la demande de la DSI concernant la diffusion d'eduroam au
pavillon des jardins. Il nous faudra le mot de passe radius de l'E.N.S. pour le
faire, et installer quelques picostations au PdJ.

Il faudra ouvrir un VLAN pour cela.

#### Réunions Crans/DSI/DSI des dpts/labos

La DSI avait proposé qu'on participe à leur réunion de mardi dernier. Mais on a
pas été recontactés. Olivier va leur envoyer un email pour plannifier la
réunion suivante.

#### Miroir debian de l'E.N.S.

L'école voudrait nous confier la gestion de son miroir debian officiel.

#### IPv6

Le Crans est prêt, Rubis est prêt, l'E.N.S. non, pour des raisons
administratives
apparemment.

### Surveillance de la correspondance MAC / chambre

Suite à la détection d'un spoofeur de MAC de longue date. Valentin et Daniel
envisagent de passer à une authentification par mot de passe sur le réseau
filaire.
Pierre-Elliott va bientôt mettre en place un script de surveillance utilisant
les données fournies par les switchs (en snmp). Dans tous les cas, il faut
un script de surveillance plus efficace que "déménagement non déclaré".

### Monitoring du climat du 4J

Olivier a fait une mini station météo qui se trouve au 4J pour surveiller
l'évolution de l'humidité et de la température.

### Questions diverses

#### Remplacement switches HP

On a remplacé 4 switches défectueux au niveau de HP. Pierre-Elliott recommencera
dans un mois avec les suivants.

#### club-bde@zamok /usr/sbin/rssh

Vincent demande si on peut changer le shell du bde sur zamok.
Parce backup-manager uploade des fichiers de backups sur le home Cr@ns du bde
mais il ne peut pas les supprimer parce qu'un ssh lui est refusé.

En fait c'est --(impossible)-- compliqué.

#### Switch manageable à la Kfêt

À faire s'il nous en reste. Le remplacement des switchs en fault dans les
bâtiments
reste prioritaire.

#### Ldap

olcLogging: il n'est pas possible de laisser les logs dans la même
racine que les données logguées. Cela va compliquer l'implémentation de lc_ldap.
On rappelle que la base ldap est censée stocker les chaînes en utf-8.
So``Go et le champ mail : notre champ mail contient uniquement
l'utilisateur (sans
@crans.org). Normalement, la sémantique de ce champ est une adresse mail
complète
ce qui fait planter So``Go. Il faudrait donc changer cette valeur, et faire
attention
à tous les services que l'on risque de casser, ou utiliser un autre champ, ce
qui
produira une redondance dans les données. Des tests restent à faire.
