# Réunion Nounous

* Date : 24 Janvier 2013
* Lieu : Condorcet
* Début : 19h27
* Fin : 21h17

## Présents

* Ariane Soret
* Daniel Stan
* Olivier Iffrig
* Pierre-Elliott Bécue
* Raphaël Cauderlier
* Raphaël-David Lasseri
* Sylvain Boilard
* Thomas Epalle
* Valentin Samir
* Vincent Le Gallic
* Yann Duplouy

## Ordre du jour

### Script d'impression par l'interface web

L'impression par le driver de l'imprimante sur {{{zamok}}} pose certains
problèmes
qui sont évités quand on fait des impressions manuelles, c'est pourquoi il avait
été proposé d'automatiser l'impression par l'interface web de l'imprimante de
manière à ne plus avoir à se servir du driver.

Ce travail peut être fait par un apprenti. Ariane est motivée. Vincent encadre.

### Groupe fuse sur zamok

Valentin propose d'autoriser les utilisateurs à utiliser fuse sur zamok. On
évitera d'autoriser la lecture aux autres utilisateurs que le propriétaire
(potentiels problèmes d'upload par apache, updatedb, etc)

On ajoute le groupe fuse à ldap pour y mettre tous les utilisateurs

### Identification des machines dans l'annuaire LDAP

cf. mail de PEB sur nounous@ du 23 janvier à 05:56
Actuellement un mid est associé, par le biais d'une fonction inversible à une
adresse ip.
Cela force la réutilisation des mid au cours des ans et est gênant pour
l'identifiaction d'une machine sur le long terme. Il est proposé de rendre le
mid strictement croissant et le remplacer par un rid.
Il sera également utilisé pour attribuer un préfixe ipv6 aux machines.
De plus, il devient possible de libérer les adresses ips tout en gardant dans la
base de donnée les adresses mac des machines (avant, il fallait absoluement
supprimer
la machine pour libérer le mid et l'ip associé)

Il est proposé de garder une plage de mid libre de 1 à 4096 par exemple pour les
machines crans (serveurs, adm, bornes wifi, …)
puis de commencer à utiliser de façon continue les mid à partir de là.

### Documentation des scripts

Olivier a commencé à ajouter une documentation sphinx au nouveau binding LDAP.
Reste la question du serveur web.
Il pourait être bien de remplacer l'apache de niomniom par nginx ; à des fins de
test, on pourrait faire tourner nginx sur un autre port en parallèle d'apache,
le temps de porter la configuration d'apache sous nginx.

### Recâblage du PdJ

Le switch est arrivé.
C'est fait, modulo utilisation du gbic intégré: il nous faut plus de jarretières
optiques (brassage <-> gbic).
Le plan de câblage sera prochainement mis à jour.

### Routage du WiFi

On a commencé à vider gordon de ses services : eap pour l'auth wpa2 et
routage direct via komaz (résout les prob liés au routage)
log direct via thot, dns sur les serveurs du vlan adhérent.

### Démission du RTC

Olivier déménage et démissionne de son poste de RTC. Valentin prend la
succession.

## Question Diverses

### Séparation des dns récursif et autoritaires

Valentin est en train de faire la configuration adéquate.
De plus, la déléguation du reverse dns des ips allouées au crans par l'ens n'est
propagée correctement. En effet sur les 4 NS parent, un seul d'entre eux
(ariane.ens-cachant.fr) délègue les plages vers les NS du crans.

### Incident Matinal

Suite sans doute à un incident de communication entre fz et la baie de disque,
les domu présents sur icelui n'ont plus été en mesure d'assurer leurs services
respectifs. Vert étant parmis eux, cela a affecté l'ensemble des serveurs du
crans.
Les domu ont été migrés vers fy. Komaz, zamok, sable,… ont été redémarrés.

### Augmentation du débit le week-end

Cf mail sur dsi-crans puis Nounou, la DSI est d'accord pour accorder une
augmentation du débit le week-end à 500Mbit/s. Cette augmentation sera valable
du vendredi 20h30 au lundi 6h00.

* le mail disait 20h. -- ZeldAurore <<DateTime(2013-01-25T12:59:56+0200)>>
