# Réunion Nounous

* Date : Jeudi 16 mai 2013
* Lieu : Pavillon des Jardins
* Début : 19h32
* Fin : 21h30

## Présents

* Daniel Stan
* Raphaël Cauderlier
* Vincent Le Gallic
* Lucas Serrano
* Valentin Samir
* Pierre-Elliott Bécue
* Ariane Soret

## Ordre du jour

### Avancement binding LDAP

Valentin affirme que le nouveau binding fonctionne, id est il est possible de :

* créer des objets
* modifier des objets
* supprimer des objets (avec un cimetière)
* ressusciter des objets depuis le cimetière
* programmation des services à reconfigurer
   * Il faudrait peut-être revoir le système des arguments passés aux services

à redémarrer, celui actuel ne permettant pas beaucoup de flexibilité.
Il manque :

* Une gestion des accès concurrents
* Les logs (support partiel de l'ancienne méthode via l'attribut historique)

Penser à migrer les scripts qu'on veut garder de l'ancien binding vers le
nouveau.

Vincent a séparé les objets ldap du binding dans un autre fichier.
Ajouté un module shortcuts pour se binder en admin, readonly, autre, ….

Le fait que le package, le module principal et la classe du binding portent le
même
nom est problématique. Il faudrait penser à un renommage.

Vincent s'occupera du renommage, Pierre-Elliott de l'accès concurrent.

### Avancement Intranet2

L'application "Mes Machines" sur le nouvel intranet est en production et est
utilisé. (L'ancien commençait à avoir du mal sur les nouveaux navigateurs.)

L'association compte Cr@ns<->WikiNom a quelques problèmes d'encodage (cf mail)
Il reste à réaliser un outil de création de compte Wiki (pour compenser le
script qui ne marche pas sur zamok).

Dans les applications à migrer rapidement : une application "mon compte" et
une application d'impression (lancement) et le rechargement de solde via paypal
et note Kfet.

Il pourrait être bien de migrer la gestion des digicodes en les stockant
dans une base de donnée (au lieu de créer un fichier dans
/usr/scripts/var/digicode) avis aux apprentis !

### Serveur TV

La carte 4 tuners a été testée dans le pc d'un membre actif.
Ça fait 20 jours que ça marche.

Il faut acheter au moins une deuxième carte pour couvrir tous les multiplex et
une tour avec suffisamment de PCIe (au moins 4) et de ventilo pour refroidir
les cartes.
(faire un panier sur un site de vente en ligne).

Valentin s'en occupe.

Il faudrait réfléchir à rationaliser également le satellite.

### CAS

Le wiki a été (partiellement) CASsifié.

Il reste sogo, horde et nagios.
Il faut installer pam_cas sur le serveur imap pour cela (Argh).

### WiFi

Il reste des choses à faire ! Prochaine séance de pose de bornes ? :)

Il faut acheter les bornes de test (Daniel se charge de faire le panier) dont
le budget
a été voté au précédent CA.

Il faudrait compter le nombre de bornes à acheter pour compléter la couverture
(PdJ, RdC H I J) (possiblement avec les fat max 100 clients).

Il faut poser les bornes au G, C, A, B.

Daniel propose de faire une séance ce week-end pour wifier le bâtiment C.
On se retrouve samedi après le petit dèj (début 14h).

### Mise a jour des serveurs

* komaz : 25/05/2013
* sable : 2{5,6}/05/2013
* vert : 01/06/2013 (penser à couper 1 réplicat pour avoir un backup)
* charybde : 01/06/2013
* gordon -> à transformer en domu
* news : 15/06/2013
* niomniom : 15/06/2013
* titanic : 22/06/2013
* dhcp : 22/06/2013
* eap : juillet
* irc : juillet
* redisdead : juillet
* ovh : juillet
* owl : juillet
* sogo : en même temps que owl

### Adhérent au M qui spoofe

Un adhérent a spoofé l'ip de zamok. Il prétend ne pas être au courant,
il semble qu'il l'ait fait involontairement. Comme il a une freebox, il a
été déconnecté au niveau du Crans.

!ToDoList.append("déconnecter automatiquement les prises où on voit une MAC
spoofant
une IP de serveur ?")

### Flaw in linux kernel

Hier un mail a été reçu parlant d'une faille découverte récemment.
Zamok y étant vulnérable, Pierre-Elliott lui a appliqué un patch.

### D(r)ivers

* On a reçu 3 écrans et des claviers. C'est cool. Daniel dit que certaines

touches d'un clavier ne marchent pas. Il suffit de les renvoyer (les claviers,
pas les touches).
