# Réunion du Collège Technique

* Date : jeudi 23 janvier 2014
* Lieu : salle Condorcet, bâtiment d'Alembert
* Début : 19h25
* Fin :  20h30

## Présents

* Aymeric Labatut
* Lucas Serrano
* Pierre-Elliott Bécue
* Raphaël Cauderlier
* Valentin Samir

## Ordre du jour

### Be friendly

Il est suggéré d'accroître la visibilité de
<https://wiki.crans.org/Cr%C3%A9erUnCompteWiki> pour la création de compte wiki
De manière générale, il faudrait faire une page BienvenueAuCrans ou un truc
du genre qui pointe vers tous les trucs qu'un nouvel
arrivant pourrait vouloir apprendre pour profiter de nos services. Plein de
pages d'explication gagneraient en visibilité.
<http://git.crans.org/?p=usr-scripts.git;a=commit;h=f657e57a0> ? -- nit

Il a été soulevé le fait que la création d'un compte Wiki n'était pas triviale
pour tout le monde. Un lien vers la page idoine a été ajouté depuis la page de
connexion.
Il faut faire plus de promotion de nos services pour les nouveaux adhérents,
notamment la création d'une page wiki (CransPratique ?)
pour les nouveaux adhérents.

* Merci ! -- WikiCandy <<DateTime(2014-01-23T20:50:21Z)>>

### Nouvelle grappe de disque dur

Le RAID6 est fait, il faut configurer la baie de disques slon pour qu'elle soit
connectée aussi au switch iscsi. Puis on pourra commencer la migration des
homes (enfin, leur copie).

PEB commencera ça d'ici une petite semaine, mais si quelqu'un est intéressé,
qu'il fasse signe.

### DNS

Plusieurs choses. Première rotation des KSK (key signing key dnssec) pour
crans.eu. On a eu une petite co(q)uille avec bind, mais on l'a réglée.

Les clefs ECDSA sont aussi prises en charge maintenant dans le DNS.
L'algorithme ecdsa a été ajouté dans le fichier /etc/ssh/sshd_config sur les
serveurs.
Les serveurs ne disposant pas de clef ecdsa envoient des warning.
La commande pour générer une telle clef est :
sudo /usr/bin/ssh-keygen -f /etc/ssh/ssh_host_ecdsa_key -b 521 -t ecdsa -N ""

Le collège des nounous présentes décide collégialement dans la bonne humeur
d'activer l'ipv6 sur les noms de domaine par défaut.
Par souci de compatibilité, en plus des zones v6 (qui sont ipv6 only), des
zones v4 seront alors créées (qui seront ipv4 only).

Actuellement seules les machines ayant l'attribut ldap dnsipv6=TRUE ont de
l'ipv6 dans leur nom de domaine. Valentin propose de l'utiliser à partir de
maintenant comme suit : seules les machines avec l'attribut ldap dnsipv6=FALSE
garderont un nom de domaine ipv4 only.

Les machines concernées seraient :

* charybde (pour éviter de faire passer le ftp à traver le tunnel ipv6)

Comme le script actuel de génération des zones des dns est vieillisant, il
serait bien d'adopter ces modifications en écrivant un nouveau script, dans un
style plus fonctionnel, utilisant lc_ldap.

### Nouveau virtualiseur

Son nom est ft.
Le nouveau virtualiseur est arrivé, a été installé, et s'appelle ft. On l'a
foutu au 0B, et on a viré malloc, daath et gordon. Niveau alimentations on est
à poil, faudrait racheter une pdu (oui, un truc qu'on visse dans l'armoire à
l'arrière).

Il marche bien, proxmox est installé, la migration marche, il est connecté à la
baie de disques, et il est FAT. (pas 32)

Il n'a que 16 Go de RAM sur les 300 potentiels qu'il peut avoir. On achètera
peut-être quelques barrettes de 8 Go.

Sinon, l'onduleur est sollicité à 67 % de sa puissance maximale.

Il est possible que ses batteries soient déficientes. Il faudrait donc faire
des tests, sachant que l'onduleur est censé tenir 40 min au moins.

### Nouvelles bornes

Say hello to Demodocos, pour le bâtiment Leonard de Vinci !
Jordy aimerait poser encore d'autres bornes (3 serait appréciable) au Leonard
de Vinci, car il n'y a strictement rien.
De plus, ''hel'' ne marche pas : un technicien va la rebooter électriquement au
cas où.

### Questions diverses

#### Et pour l'écran de vo

Le rétroéclairage ne fonctionne plus. Valentin propose qu'on achète un écran
de 30 pouces. PEB dit qu'il est pour si on achète un nouveau vo avec une GPU
suffisante.

Plus sérieusement, on se propose de racheter un écran de la même gamme de
qualité (que celui-ci avait en 2008).
