# Réunion inter-nounous

* Date : Jeudi 3 juillet 2014
* Lieu : Pavillon des Jardins
* Début : 18h47
* Fin : 20h30

## Présents

* Anne Cazalet
* Daniel Stan
* Nicolas Dandrimont
* Olivier Iffrig
* Stéphane Glondu
* Vincent Le Gallic
* Pierre-Elliott Bécue
* Pauline Pommeret
* Kévin Moisy-Mabille

## Ordre du jour

### Comptage d'upload

Pierre-Elliott a refondu le comptage de l'upload à base de pmacct.
C'est maintenant envoyé au nouveau routeur{{{odlyd^Wkomaz2}}} (pas encore en
prod au niveau routage).

Niveau consommation de ressources, le load average est passé de 2 à 0.5.
Maintenant qu'on a atteint
la durée de rotate (5 jours), la base fait 90Go.

* {{{deconnexion.py}}} (= punir les méchants) a été adapté, il s'exécute ~aussi
  rapidement
* {{{analyse.py}}} (= voir combien les méchants ont uploadé et vers où) a été
  recodé, on peut

maintenant demander l'upload par '''adhérent'''.

{{{#!wiki tip
analyse.py est lancé automatiquement à chaque fois que quelqu'un se fait
déconnecter. Les résultats atterrisent
dans `/usr/scripts/var/analyse/AAAA_MM_JJ_HH_MM_SS_(aid|cid)_<aid ou cid>.txt`
}}}

### Réunion avec la DSI

Lundi dernier, Pierre-Elliott, Jordan et Daniel ont rencontré la DSI en les
personnes de Stuart !McLellan,
Jocelyn Viallon et Vivien Frenot.

#### Saclay

On leur a parlé de là où on en est pour le fameux "dossier Saclay", qui est en
cours de rédaction, de ce qu'on est prêt à faire.

Nous, on préfèrerais continuer à collaborer avec eux, sachant qu'on est prêt à
faire autrement si besoin.
Ils sont aussi d'avis de continuer à travailler main dans la main, parce qu'ils
pensent que l'école se doit de
fournir l'accès Internet à ses étudiants, mais préfèrent que ce ne soit pas à
eux de s'en occuper.
Stuart pense qu'on est plus efficace et qu'on coûte moins cher qu'un
prestataire privé.

De notre côté, on aimerait que l'école supporte notre projet sur la scène de
Saclay.
Il '''''faut''''' terminer le dossier, qu'il soit tout beau tout propre et
pensé en collaboration avec les autres
assos (notamment Aurore). Pierre-Elliott et Ariane ont bien avancé, mais il y a
encore beaucoup de travail.

Anne Cazalet est prête à nous faire un/des devis pour une grosse quantité de
matériel,
pour qu'on puisse dire dans le dossier "regardez, on sait combien ça nous
coûtera".
On la recontactera dès qu'on aura une idée des quantités (une fois qu'on aura
fait notre inventaire).

Stuart a parlé de nous au directeur de la DSI de la FCS (Fédération de
Coopération Scientifique)
François de Castelbajac, destiné à piloter les projets des DSI des différentes
écoles/labo du projet Saclay.

Dossier à envoyer d'ici la fin du week-end.

#### Comptage d'upload et débit en journée

Un point a été fait sur les limitations.

Pour le débit en journée, ils ont peur de plomber les visoconférences dont les
départements ont besoin.
On utilise actuellement 100Mbit/s sur le 1Gb/s que l'école a.

En journée, on a négocié 150Mbit/s, pour voir ce que ça donne.
En soirée, on reste à 500 (ça ne sature pas).

Pour la limitation d'upload, ce qui les gêne surtout, c'est l'image de l'école
vis à vis des téléchargement illicites,
surtout quand les mails viennent du CERT de Renater.
Ils sont contents parce qu'ils reçoivent moins de mails d'ayant droits, Nicolas
pense que Renater
les {{{> /dev/null}}}.

Du coup, on passe la limite d'upload à 8Gio/24h, histoire que ce soit quand
même pas complètement open,
notamment à cause des gens qui uploadent sans trop le savoir (virus, cacaoweb
for the win).
Point de vue implémentation, y'a rien à faire de plus, Pierre-Elliott l'a déjà
modifié dans le pare-feu.

La DSI est intéressée par nos solutions de qos (tc sous linux) pour
leurs "problèmes" de visioconf.

#### Miroir Debian / IPv6

L'ENS est toujours intéressée par l'idée d'un miroir Debian commun.

En revanche, l'IPv6 est quasiment obligatoire pour apparaître dans cette liste.
Pour l'instant, ça coince au niveau
du matériel du réseau de collecte (Rubis). De notre côté, on propose d'acheter
une machine plus
puissante et/ou laisser tomber le RAID 5 logiciel actuellement en place.

#### Ports

Sur le firewall, on bloque par défaut les ports des machines des adhérents en
entrée.
La DSI ne le savait pas, mais trouve que c'est une bonne idée (on protège des
adhérents qui ont l'habitude d'avoir une box entre eux et le monde).

Ils ne voient aucun inconvénient à ce qu'on ouvre des ports quand ça nous
chante, même sans les prévenir, mais ils apprécient beaucoup qu'on les
prévienne.
Donc on va continuer à le faire, parce que ça nous coûte pas grand chose, que
c'est toujours cool de faire plaisir à la DSI pour pas cher, et que ça
responsabilise un peu l'ouverture d'un port.

### Filtrage mails

C'est un projet à plus long terme pour le filtrage des spams. On réinstallerait
amavis sur tous les MX
sans utiliser les fonctions de filtrage virus. On activerait le filtrage de
spam assassin. L'idée serait
ensuite d'utiliser les fonctions de quarantaine pour n'envoyer qu'un seul mail
par jours pour tous
les mails étiquettés "spam" en attente de modération.

Voir du côté de Maia Mailguard. Avis à apprenti intéressé, contacter PEB.

### Disque de nols

Un disque de nols (notre baie de disques) de 600Go nous a lâché.
Il y avait deux disques de remplacement qui attendaient de prendre sa place,
donc pour l'instant, pas d'interruption de service.

Anne nous a envoyé un numéro de téléphone à contacter pour faire valoir la
garantie.

Il nous manque certains numéros de
série (cf [[CatégorieCrans/LesServeurs|ci]]), on va voir avec Anne pour les
récupérer.
Il est possible qu'on ait besoin des numéros de séries des '''contrôleurs'''.

### Migration des homes

En été, c'est là que les adhérents se servent le moins de leurs home. Les
migrer nécessite une interruption de service.

Plus de place, plus
compartimenté ([[CransTechnique/PanthéonServeurs/ServeurBabar|babar]] nous
remercie),
ce sera cool, mais la copie de tout ça va prendre plusieurs heures.

Il va falloir qu'on fasse des choses sioux parce
que {{{/home/a/ablabla}}} risque d'être le nouveau chemin
pour {{{/home/ablabla}}}.

Pas encore de date fixée, mais avant la rentrée.

### Machines virtuelles pour les clubs/l'événementiel

On a des demandes (pot vieux, Gala) pour une machine virtuelle. On peut déjà
allouer de la place sur l'ancien
stockage.

Si ce crash-test se passe bien, on considérera toute demande de virtualisation
de la part d'autres clubs.
Penser à rappeler que :

* on se garde le droit de refuser une vm pour cause d'utilisation de ressources
  ou d'usage illicite
* les nounous restent virtuellement root sur la machine hébergée, l'accès sans
  accord leur restant moralement et légalement interdit

Il faut avancer le projet Gala (mi-juillet).

### Imprimante

Discussion avec Anne sur ce que proposerait HP en termes de contrats de
maintenance, et de
« l'engagement » de XeroX.

Laser Jet Enterprise Flow M800 series

Extensions de garantie:

* 4h
* Le lendemain

## Il est 20h. Paris s'éveille (or something). Sergio nous attend il fait faim.
