# Réunion du Collège Technique

* Date : Jeudi 7 mai 2015
* Lieu : Pavillon Des Jardins
* Début : 19h14
* Fin : 20h36
* <<Pad>>

## Présents

* Hamza Dely
* Gabriel Detraz
* Emmanuel Arrighi
* Daniel Stan
* Raphaël-David Lasseri
* Pierre-Elliott Bécue
* Raphaël Bonaque

## Ordre du jour

### Federez WiFi

* Le système fonctionne en ce qui concerne le Cr@ns, dans les deux sens.
* Le Principe : une demande d'authentification federez-wifi a un suffixe
  en @federez.crans par exemple, et est acheminée par le système de proxy
  radius vers le serveur de l'école d'origine.

* Il reste des problèmes sur la réception dans les autres assos, au niveau de
  la modification de l'identifiant pour retirer le suffixe. En effet,
  l'utilisation du module python au Cr@ns n'a pas permis de déceler ce problème
  plus tôt.
* La doc et le monitoring sont
  disponibles : <https://wiki.federez.net/admin:services:wifi-federez> et
  <https://wiki.federez.net/admin:services:wifi-federez:monitoring>

Pour terminer, il faut :

* Mise en place d'un nouveau vlan, d'un nouveau /d'ip natées (donc, demander à
  la dsi les id vlans disponibles), le plus simple comme solution vu les
  scripts dont on dispose actuellement)

État du système (au 12/05/15):

. Iresam :
. bal -> iresam : prb sur les id à l'arrivée, comment retirer le
suffix / iresam -> ext : réglé

. Crans :
.bal -> crans : ok / crans -> bal : ok

. rezo-metz :
. bal -> metz : ils ont un suffixe, pas de soucis (maj : c'était inexact mais
sans incidence) / metz -> bal : réglé

. gif :
. bal -> gif : prb d'id à l'arrivée / gif-> bal : réglé

### Couverture du gymnase

« Ils ont froid. »

Le festival de robotique nous a relancé. Daniel a fait du repérage hier, et a
constaté que la DSI
va installer un switch 8 ports poe avant fin mai. Ils nous proposent de nous
réserver un port.
Un câble devra être tiré depuis le local technique vers le lieu d'installation
de notre borne.
Un mail sur dsi crans a eu lieu à ce propos, Sabrina propose de nous réserver
un part sur le switch,
Gabriel lui répondra sur le sujet de la configuration des locaux, de l'accès
entre le gymnase et
le local notamment.

On envisage d'installer une borne Unifi Pro, ce qui permet d'avoir un port en
plus pour rajouter
des accès filaire au besoin, et s'alimenter directement en PoE.

### Bcfg2

Pierre-Elliott a recodé le plugin from scratch. Il a laissé les sucres "@" mais
a retiré les "export" (''a priori'',
seul le main.cf du bundle postfix.)

Deux trois tests à faire encore avant de packager pour jessie. Le client de
wheezy ne fonctionne
pas avec le serveur jessie. On peut tester avec vo en tant que client (il
faudra le migrer).

Il va y avoir du ménage à faire dans les Metadata (groups surtout, en ce moment
soyouz essaie
de monter des trucs en NFS…).

### Mise à jour vers Jessie

Elle est sortie !

On va commencer à indiquer des dates là-dedans.
[[CransTechnique/AdminSystème/DistUpgrade#Serveurs_non_migrés]]

Penser aussi à évaluer la difficulté de la mise à jour. On va commencer par vo,
et puis on verra pour les autres,
suivant disponibilités des nounous.

Vo upgradé permettra d'avancer dans la migration de l'intranet et de tester
bcfg2-client (ce qui serait
bien avant de continuer avec les upgrades.)

### Intranet

Hamza et Gabriel ont bien travaillé :

* Rechargement solde impression : com'n'pay, le contrat est en cours
  d'activation
* Impression : l'application fonctionne, sauf l'envoi de mail, car cups sur
  o2 formate mal le jobname (On trouve pas pourquoi.)
* La programmation du driver PCL a avancé, il faut finir (en résolvant les bugs
  que l'on a décelé jusque là…)
* Gestion des clubs : impersonate ? Les apps plantaient quand on se connectait
  en tant que club.

. impersonate est un plugin django pour se faire passer pour un autre
utilisateur. On peut alors
spécifier qui a le droit d'impersonifier qui.
. Prob 1 : PIP (beurk)
. Prob 2 : l'absence de traçabilité.
. L'autre solution est d'intégrer ces fonctionnalités dans les
applications. <-- ça serait plus propre non ? Oui. Hamza et Gabriel vont
s'occuper chacun de leur app et on verra si ça marche.

### Switchs PoE

Intervention de PEB : « J'ai eu Anne au téléphone… qui me rappelle. »
Ceci était une intervention de PEB.

Le plan est d'acquérir des switchs gigabit PoE (actif), un par bâtiment, afin
d'alimenter et
de pouvoir redémarrer les bornes WiFi à distance. Il faudra également acheter
des spliter
(une centaine ?) pour toutes les bornes sauf les UAP Pro (qui le font en natif.)

Les switchs gigabit remplacerait les étoiles actuelles.

À voir suivant le prix, notamment acheter 100 splitter qui pourrait couter dans
les 1000 à 2000 euros à lui seul.

### Ponts WiFi

PDJ : le printemps est arrivé. On va voir si on peut accéder au toit avec
l'accord de la STL.

Parallèlement, on envisage de tunneler le réseau ethernet "filaire" au travers
du réseau WiFi.
D'une part, pour les bornes d'appoint à placer chez les adhérents, cela
permettrait de n'assigner qu'un
seul vlan lors de la connexion de la borne WiFi (cela permettra de garder le
système d'auth
automatique par mac via radius, sur les switchs des chambres.)
D'autre part, cela permettra de normaliser le système de ponts actuels : les
ponts feront transiter
le vlan 3 et à l'arrivée, une borne d'appoint pourra dé-encapsuler le vlan
filaire, si les gens
en veulent.

Pour l'instant, ce projet n'est pas prioritaire, on s'en occupera cet été.
